lp:ubuntu/oneiric/gnome-applets

Created by James Westby and last modified
Get this branch:
bzr branch lp:ubuntu/oneiric/gnome-applets
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Mature

Recent revisions

133. By Jeremy Bicha on 2011-09-26

* New upstream stable release.
* debian/watch: Fixed

132. By Rodrigo Moya on 2011-09-12

New upstream release

131. By Sebastien Bacher on 2011-08-17

New upstream version

130. By Jeremy Bicha on 2011-07-26

* New upstream version
* debian/control: Depend on gir1.2-gtk3 instead of gtk2

129. By Sebastien Bacher on 2011-07-12

New upstream version

128. By Barry Warsaw on 2011-07-06

debian/control:
Set X-Python-Version back to >= 2.4 to match the previous
debian/pyversions value.

127. By Barry Warsaw on 2011-07-05

Convert to dh_python2. (LP: #788514)

126. By Jeremy Bicha on 2011-06-29

* New upstream version
* debian/control
  - Re-enable python support
* debian/gnome-applets-data.install
  - Install python libraries
* debian/watch
  - Watch for .bz2
* debian/patches/01_no_more_deprecated.patch: Dropped, applied upstream
* debian/patches/02_link_X11.patch: Dropped, applied upstream
* debian/patches/81_silent_applet_cleaning.patch: Refreshed & enabled
* debian/patches/86_deprecate_applets.patch: Refreshed

125. By Sebastien Bacher on 2011-05-31

debian/control.in: recommends the right gnome-panel gir version

124. By Sebastien Bacher on 2011-05-30

* Resynchronize on Debian, thanks Jeremy Bicha for some of the work
* Remaining diff
* debian/control.in:
  - Depend on introspection packages
  - Drop obsolete build-depends on libxklavier-dev
  - Don't build depends on system-tools-backends-dev, libcpufreq-dev
    libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev (no mixer built),
    libupower-glib-dev (not using 01_battstat_upower.patch)
  - Remove gstreamer0.10-alsa | gstreamer0.10-audiosink depends and
    the mixer description from gnome-applets (mixer not built)
  - gnome-applets suggests gnome-netstatus-applet, deskbar-applet and
    cpufrequtils rather than recommends.
  - Remove keyboard layout switcher from package description
* debian/rules:
  - Don't enable the mixer applet, disable the battery status applet option
  - Compress packages with bzip2
  - use dh_pysupport
* debian/gnome-applets.manpages:
  - Stop shipping manpages, those are not distributed upstream either and the
    binaries are not in the standard path anyway so can't be run by users.
* debian/patches/01_no_more_deprecated.patch:
  - Add patch to migrate null_applet to libpanel-applet-3 (LP: #673109)
    and invest applet to use GObject introspection (LP: #673110)
* debian/patches/01_battstat_upower.patch:
  - Dropped, don't build the battery status applet
* debian/patches/80_correct_minicommander_install.patch:
  - Don't install the minicommander server when not required.
* debian/patches/81_silent_applet_cleaning:
  - Don't display a dialog about the applet configuration cleaning since
    that's something which should be transparent for the users
* debian/patches/86_deprecate_applets.patch:
  - Define some applets as deprecated
* debian/watch:
  - Watch for unstable versions
* Dropped diff:
* debian/control.in:
  - Pre-depends on dpkg (required for bzip2 packaging), the dpkg version
    has been available since before the previous lts

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/precise/gnome-applets
This branch contains Public information 
Everyone can see this information.

Subscribers